Namespace UTSModule.Test.Command
    Public Class TestCommandReturn
        Sub New()
            LowerLimit = String.Empty
            UpperLimit = String.Empty
            LowerLimit_2 = String.Empty
            UpperLimit_2 = String.Empty
            RecordValue = String.Empty
            ExecuteResultTipString = String.Empty
            ExecuteResult = True
        End Sub

        ''' <summary>
        ''' 下限
        ''' </summary>
        ''' <returns></returns>
        Public Property LowerLimit() As String

        ''' <summary>
        ''' 上限
        ''' </summary>
        ''' <returns></returns>
        Public Property UpperLimit() As String

        ''' <summary>
        ''' 下限_2
        ''' </summary>
        ''' <returns></returns>
        Public Property LowerLimit_2() As String


        ''' <summary>
        ''' 上限_2
        ''' </summary>
        ''' <returns></returns>
        Public Property UpperLimit_2() As String


        ''' <summary>
        ''' 执行结果
        ''' </summary>
        ''' <returns></returns>
        Public  Property ExecuteResult() As Boolean

        ''' <summary>
        ''' 记录值
        ''' </summary>
        ''' <returns></returns>
        Public Property RecordValue() As String

        ''' <summary>
        ''' 执行结果提示信息
        ''' </summary>
        ''' <returns></returns>
        Public Property ExecuteResultTipString() As String

        ''' <summary>
        ''' 执行耗时,包含重试耗时
        ''' </summary>
        ''' <returns></returns>
        Public Property StepTimeSpan() As TimeSpan
    End Class
End Namespace